Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1288231

Summary: Review Request: nodejs-postgres-array - Parse postgres array columns
Product: [Fedora] Fedora Reporter: Tom Hughes <tom>
Component: Package ReviewAssignee: Mairi Dulaney <jdulaney>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jdulaney, package-review
Target Milestone: ---Flags: jdulaney: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-07 21:03:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1288230    
Bug Blocks: 956806, 1288236    

Description Tom Hughes 2015-12-03 22:36:43 UTC
Spec URL: http://tomh.fedorapeople.org//nodejs-postgres-array.spec
SRPM URL: http://tomh.fedorapeople.org//nodejs-postgres-array-1.0.0-1.fc23.src.rpm

Description:
Parse postgres array columns.

Comment 1 Mairi Dulaney 2015-12-04 19:42:42 UTC
mock failed with:

DEBUG util.py:399:  No matching package to install: 'npm(ap)'
DEBUG util.py:399:  Not all dependencies satisfied
DEBUG util.py:399:  Error: Some packages could not be found.
DEBUG util.py:521:  Child return code was: 1

Comment 2 Tom Hughes 2015-12-04 19:44:11 UTC
The nodejs-ap package was only reviewed this morning, so it's it rawhide but won't have reach most of the mirrors yet.

Comment 3 Mairi Dulaney 2015-12-04 19:52:47 UTC
Okay, I'll rerun tomorrow, unless you have a pressing need for it to be done today.

Comment 4 Upstream Release Monitoring 2015-12-06 19:02:33 UTC
jdulaney's scratch build of nodejs-postgres-array-1.0.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12091242

Comment 5 Mairi Dulaney 2015-12-06 19:30:54 UTC
Okay, looks good to me.


rpmlint ./nodejs-postgres-array-1.0.0-1.fc24.noarch.rpm 
nodejs-postgres-array.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 6 Tom Hughes 2015-12-06 19:43:01 UTC
Thanks!

Comment 7 Till Maas 2015-12-06 20:53:45 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-postgres-array